# ntpsweep User’s Manual

# Top

This document describes the use of the NTP Project’s `ntpsweep` program.

This document applies to version 4.2.8p13 of `ntpsweep`.

## Short Table of Contents

- 1 Invoking ntpsweep

### 1 Invoking ntpsweep

`ntpsweep` prints per host the NTP stratum level, the clock offset in seconds, the daemon version, the operating system and the processor. Optionally recursing through all peers.

This section was generated by AutoGen, using the `agtexi-cmd` template and the option descriptions for the `ntpsweep` program.

#### 1.1 ntpsweep help/usage (`--help`)

This is the automatically generated usage text for ntpsweep.

The text printed is the same whether selected with the `help` option (`--help`) or the `more-help` option (`--more-help`). `more-help` will print the usage text by passing it through a pager program. `more-help` is disabled on platforms without a working `fork(2)` function. The `PAGER` environment variable is used to select the program, defaulting to `more`. Both will exit with a status code of 0.

    ntpsweep - Print various informations about given ntp servers - Ver. 4.2.8p13
    USAGE: ntpsweep [ -<flag> [<val>] | --<name>[{=| }<val>] ]... [hostfile]

        -l, --host-list=str          Host to execute actions on
                                       - may appear multiple times
        -p, --peers                  Recursively list all peers a host synchronizes to
        -m, --maxlevel=num           Traverse peers up to this level (4 is a reasonable number)
        -s, --strip=str              Strip this string from hostnames
        -?, --help                   Display usage information and exit
            --more-help              Pass the extended usage text through a pager

    Options are specified by doubled hyphens and their name or by a single
    hyphen and the flag character.

#### 1.2 host-list option (-l)

This is the “host to execute actions on” option. This option takes a string argument.

This option has some usage constraints. It:

- may appear an unlimited number of times.

Use this option to specify the host on which this script operates. May appear multiple times.

#### 1.3 peers option (-p)

This is the “recursively list all peers a host synchronizes to” option. This option has no ‘`doc`’ documentation.

#### 1.4 maxlevel option (-m)

This is the “traverse peers up to this level (4 is a reasonable number)” option. This option takes a number argument. This option has no ‘`doc`’ documentation.

#### 1.5 strip option (-s)

This is the “strip this string from hostnames” option. This option takes a string argument. This option has no ‘`doc`’ documentation.

#### 1.6 host option (-h)

This is the “specify a single host” option. This option takes a string argument. This option has no ‘`doc`’ documentation.

NOTE: THIS OPTION IS DEPRECATED

#### 1.7 ntpsweep exit status

One of the following exit values will be returned:

‘`0 (EXIT_SUCCESS)`’

  Successful program execution.

‘`1 (EXIT_FAILURE)`’

  The operation failed or the command syntax was not valid.